com.snowflake.client.jdbc

## Enum SnowflakeFileTransferAgent.UploadColumns

- java.lang.Object
- - java.lang.Enum<SnowflakeFileTransferAgent.UploadColumns>
  - - com.snowflake.client.jdbc.SnowflakeFileTransferAgent.UploadColumns

All Implemented Interfaces:
  Serializable, Comparable<SnowflakeFileTransferAgent.UploadColumns>

Enclosing class:
  SnowflakeFileTransferAgent

    public static enum SnowflakeFileTransferAgent.UploadColumns
    extends Enum<SnowflakeFileTransferAgent.UploadColumns>

A class for encapsulating the columns to return for the upload command

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`encryption`
`message`
`source`
`source_compression`
`source_size`
`status`
`target`
`target_compression`
`target_size`

### Method Summary

All Methods Static Methods Concrete Methods
`static SnowflakeFileTransferAgent.UploadColumns` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SnowflakeFileTransferAgent.UploadColumns[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### source

    public static final SnowflakeFileTransferAgent.UploadColumns source

#### target

    public static final SnowflakeFileTransferAgent.UploadColumns target

#### source_size

    public static final SnowflakeFileTransferAgent.UploadColumns source_size

#### target_size

    public static final SnowflakeFileTransferAgent.UploadColumns target_size

#### source_compression

    public static final SnowflakeFileTransferAgent.UploadColumns source_compression

#### target_compression

    public static final SnowflakeFileTransferAgent.UploadColumns target_compression

#### status

    public static final SnowflakeFileTransferAgent.UploadColumns status

#### encryption

    public static final SnowflakeFileTransferAgent.UploadColumns encryption

#### message

    public static final SnowflakeFileTransferAgent.UploadColumns message

### Method Detail

#### values

    public static SnowflakeFileTransferAgent.UploadColumns[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SnowflakeFileTransferAgent.UploadColumns c : SnowflakeFileTransferAgent.UploadColumns.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SnowflakeFileTransferAgent.UploadColumns valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null